> ## Documentation Index
> Fetch the complete documentation index at: https://docs-test.rye.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# requestStoreByURL

> Requests a store to be tracked by Rye's API.

<Note>
  **Requesting a store is currently only available for Shopify.**

  In order to request all products from an Amazon merchant, you must issue individual requests for each product using [`requestAmazonProductByURL`](/api-reference/requestamazonproductbyurl).

  **It can take up to 12 hours for the requested store to be fully tracked.**
</Note>

***

## Arguments

<ParamField path="input" type={<><a href="/api-reference/requeststorebyurlinput">RequestStoreByURLInput!</a></>} required>
  An object containing the store's URL.

  <Expandable title="properties">
    <ParamField path="url" type="URL!" required>
      The URL of the store to be requested. It is recommended to use the [storefront URL](/sync-api/shopify-merchant-onboarding/shopify-store-domains) here, as Rye will infer the correct canonical domain automatically.
    </ParamField>
  </Expandable>
</ParamField>

## Returns

<ResponseField name="canonicalDomain" type={<>String!</>}>
  The [canonical domain name](/sync-api/shopify-merchant-onboarding/shopify-store-domains) of the store.
</ResponseField>

<ResponseField name="requestID" type={<>ID!</>}>
  An opaque identifier representing the request for this store.
</ResponseField>

## Example - request

<CodeGroup>
  ```GraphQL GraphQL theme={null}
  mutation RequestStoreByURL {
    requestStoreByURL(input: { url: "https://rye-test-store.myshopify.com" }) {
      canonicalDomain
      requestID
    }
  }
  ```

  ```bash cURL theme={null}
  echo '
  {
    "variables": {
      "input": {
        "url": "https://rye-test-store.myshopify.com"
      }
    },
    "query": "mutation RequestStoreByURL($input: RequestStoreByURLInput!) {
        requestStoreByURL(input: $input) {
          canonicalDomain
          requestID
        }
      }"
  }' | curl 'https://graphql.api.rye.com/v1/query' \
    -u "<YOUR RYE API KEY>:"  \
    -H 'content-type: application/json' \
    --data @-
  ```
</CodeGroup>

## Example - response

```json Response theme={null}
{
  "data": {
    "requestStoreByURL": {
      "canonicalDomain": "rye-test-store.myshopify.com",
      "requestID": "7206452499174533"
    }
  }
}
```

## Webhooks

Calling this mutation will subscribe your developer account to [product webhooks](/webhooks/events#product-related-webhooks) for all products in the requested store.

***

## Related mutations

* [`requestAmazonProductByURL`](/api-reference/requestamazonproductbyurl)
* [`requestShopifyProductByURL`](/api-reference/requestshopifyproductbyurl)
